#include "dsl.h"

//===mapper.c===
mt_uint32 map[MAX_CHIPS];

//===vdsllib.c===
#ifdef __KERNEL__
struct tm boottime;
#endif
//char* profile_name_prefix=MT_PROFILE_PREFIX;
//user notification callback
mt_uint32 masker_notification;
mt_uint32 masker_status;

mt_uint32 line15[MAX_PORTS][MT_IDX_LINE][MT_INV_MAX15][MT_LINE_SIZE15];
mt_uint32 lineinit15[MAX_PORTS][MT_IDX_LINE][MT_INV_MAX15][MT_LINEINIT_SIZE15];
mt_uint32 chan15[MAX_PORTS][MT_IDX_CHAN][MT_INV_MAX15][MT_CHAN_SIZE15];
mt_uint32 line24[MAX_PORTS][MT_IDX_LINE][MT_INV_MAX24][MT_LINE_SIZE24];
mt_uint32 lineinit24[MAX_PORTS][MT_IDX_LINE][MT_INV_MAX24][MT_LINEINIT_SIZE24];
mt_uint32 chan24[MAX_PORTS][MT_IDX_CHAN][MT_INV_MAX24][MT_CHAN_SIZE24];							
//yalee980519 for tr069 
//mt_uint32 g_vdsl_init_showtime_flag = 0;
mt_uint32 g_ShowtimeLinkRetrain[MAX_PORTS];
mt_uint32 g_ShowtimeInitErrors[MAX_PORTS];
mt_uint32 g_ShowtimeInitTimeouts[MAX_PORTS];
mt_uint32 g_ShowtimeLossOfFraming[MAX_PORTS];
mt_uint32 g_ShowtimeErroredSecs[MAX_PORTS];
mt_uint32 g_ShowtimeSeverelyErroredSecs[MAX_PORTS];
mt_uint32 g_ShowtimeFECErrors[MAX_PORTS];
mt_uint32 g_ShowtimeATUCFECErrors[MAX_PORTS];
mt_uint32 g_ShowtimeCRCErrors[MAX_PORTS];
mt_uint32 g_ShowtimeATUCErroredSecs[MAX_PORTS];
mt_uint32 g_ShowtimeATUCCRCErrors[MAX_PORTS];
mt_uint32 g_ShowtimeATUCSeverelyErroredSecs[MAX_PORTS];

mt_uint32 g_LastShowtimeLinkRetrain[MAX_PORTS];
mt_uint32 g_LastShowtimeInitErrors[MAX_PORTS];
mt_uint32 g_LastShowtimeInitTimeouts[MAX_PORTS];
mt_uint32 g_LastShowtimeErroredSecs[MAX_PORTS];
mt_uint32 g_LastShowtimeSeverelyErroredSecs[MAX_PORTS];
mt_uint32 g_LastShowtimeFECErrors[MAX_PORTS];
mt_uint32 g_LastShowtimeATUCFECErrors[MAX_PORTS];
mt_uint32 g_LastShowtimeCRCErrors[MAX_PORTS];
mt_uint32 g_LastShowtimeATUCErroredSecs[MAX_PORTS];
mt_uint32 g_LastShowtimeATUCCRCErrors[MAX_PORTS];
mt_uint32 g_LastShowtimeATUCSeverelyErroredSecs[MAX_PORTS];

mt_uint32 g_init_ShowtimeLinkRetrain[MAX_PORTS];
mt_uint32 g_init_ShowtimeInitErrors[MAX_PORTS];
mt_uint32 g_init_ShowtimeInitTimeouts[MAX_PORTS];
mt_uint32 g_init_ShowtimeErroredSecs[MAX_PORTS];
mt_uint32 g_init_ShowtimeSeverelyErroredSecs[MAX_PORTS];
mt_uint32 g_init_ShowtimeFECErrors[MAX_PORTS];
mt_uint32 g_init_ShowtimeATUCFECErrors[MAX_PORTS];
mt_uint32 g_init_ShowtimeCRCErrors[MAX_PORTS];
mt_uint32 g_init_ShowtimeATUCErroredSecs[MAX_PORTS];
mt_uint32 g_init_ShowtimeATUCCRCErrors[MAX_PORTS];
mt_uint32 g_init_ShowtimeATUCSeverelyErroredSecs[MAX_PORTS];

// mt_uint32 default_alarm_profile[9];
// mt_uint32 default_profile[45];

// -------------------------- Template MIB hot -----------------------
// mib_entry_struct mib_entrys_curr_phy[6];

// -------------------------- Profile -----------------------
//profile name storage buffer
//char profile_name_list[MAX_PORTS][MT_MIB_ConfProfileNameMaxLength];

//===hdlc.c===
int hdlc_frame = 0;

//===chip.c===
#ifdef XENOS
unsigned int hdr_delay = 0;		//0us under samsung
unsigned int w_delay = 0;			//0us under samsung
unsigned int rw_delay = 20000;		//600us under samsung
unsigned int r_delay = 0;			//0us under samsung
unsigned int trans_delay = 160000;	//4.8ms under samsung
#elif defined (HOPE)
unsigned int hdr_delay = 0;		//0us under samsung
unsigned int w_delay = 0;			//0us under samsung
unsigned int rw_delay = 20000;		//600us under samsung
unsigned int r_delay = 0;			//0us under samsung
unsigned int trans_delay = 160000;	//4.8ms under samsung
#elif defined (BOARD_A5)
unsigned int hdr_delay = 150000;	//0.75ms under star
unsigned int w_delay = 200;			//1us under star
unsigned int rw_delay = 150000;		//0.75ms under star
unsigned int r_delay = 200;			//1us under star
unsigned int trans_delay = 150000;	//0.75ms under star
#else
unsigned int hdr_delay = 0;
unsigned int w_delay = 0;
unsigned int rw_delay = 0;
unsigned int r_delay = 0;
unsigned int trans_delay = 0;
#endif
int manuallen=0;
int readdsp=1;
chip_t chips[MAX_CHIPS];

//===if.c===
mt_uint8 connect_status = 0;
mt_uint8 auto_reset = 1;
mt_uint8 board_type = BOARD_HOPE;
unsigned long atomic_ops = FALSE;
port_info_struct port_info[MAX_PORTS];
int add_start[100];
int bd[(16/4)*1024];	//the space of 16K bytes equal to (16/4)*1024 integer 

//===port.c===
#ifdef XENOS
port_t port[MAX_PORTS];
#elif defined (HOPE)
port_t port[MAX_PORTS];
#elif defined (BOARD_A5)
port_t port[MAX_PORTS];
#elif defined (AWARD)
port_t port[MAX_PORTS];
#endif

//===awardm.c===
#ifdef XENOS
volatile mt_uint8 *falcon_port;
#endif
#ifdef HOPE
volatile mt_uint8 *falcon_port;
#endif
#ifdef BOARD_A5
volatile mt_uint8 *falcon_port;
volatile mt_uint32 *databit_set;
volatile mt_uint32 *databit_clr;
#endif
