//get_vdsl_rate_type
#define MT_UPSTREAM	0
#define MT_DOWNSTREAM	1
#define MT_CURRENT_UPSTREAM	2
#define MT_CURRENT_DOWNSTREAM	3

#define MT_UNIT_XTUC 1
#define MT_UNIT_XTUR 2

#define MT_SITE_LOCAL 1
#define MT_SITE_REMOTE 2

#define MT_DIR_UPSTREAM 1
#define MT_DIR_DOWNSTREAM 2

#define MT_BAND_UPSTREAM 1
#define MT_BAND_DOWNSTREAM 2
#define MT_BAND_US0 3
#define MT_BAND_DS1 4
#define MT_BAND_US1 5
#define MT_BAND_DS2 6
#define MT_BAND_US2 7
#define MT_BAND_DS3 8
#define MT_BAND_US3 9
#define MT_BAND_DS4 10
#define MT_BAND_US4 11

#define MT_CH_US0 1
#define MT_CH_US1 2
#define MT_CH_DS0 3
#define MT_CH_DS1 4

typedef struct {
	mt_uint32 fecs;
	mt_uint32 es;
	mt_uint32 ses;
	mt_uint32 loss;
	mt_uint32 uas;
	mt_uint32 cv;
	mt_uint32 fec;
} PMCOUNTER;

//vdsl library
//extern mt_ret get_vdsl_rate(mt_uint32 portid,mt_uint8 rate_type,mt_uint8 *strvalue);
//extern mt_ret set_vdsl_rate(mt_uint32 portid,mt_uint8 rate_type,mt_uint8 *strvalue);
//extern mt_ret get_vdsl_snrmargin(mt_uint32 portid,mt_uint8 snr_type,mt_uint8 *strvalue);
//extern mt_ret set_vdsl_snrmargin(mt_uint32 portid,mt_uint8 snr_type,mt_uint8 *strvalue);
//extern mt_ret get_vdsl_interleave(mt_uint32 portid,mt_uint8 *strvalue);
//extern mt_ret set_vdsl_interleave(mt_uint32 portid,mt_uint8 *strvalue);
//extern mt_ret get_vdsl_current_crc(mt_uint32 portid,mt_uint8 crc_type,mt_uint8 *strvalue);
//extern mt_ret get_vdsl_current_status(mt_uint32 portid,mt_uint8 *strvalue);
//extern mt_ret get_vdsl_fwversion(mt_uint32 portid,mt_uint8 *strvalue);

extern mt_ret get_mib2_uint32_idx(mt_uint32 portid, mt_uint8 * loid, mt_uint32 * value, mt_uint32 idx);
extern mt_ret get_mib2_uint32(mt_uint32 portid, mt_uint8 * loid, mt_uint32 * value);
extern mt_ret get_mib2_uint8_idx(mt_uint32 portid, mt_uint8 * loid, mt_uint8 * value, mt_uint32 toread, mt_uint32 * read, mt_uint32 idx);
extern mt_ret get_mib2_uint8(mt_uint32 portid, mt_uint8 * loid, mt_uint8 * value, mt_uint32 toread, mt_uint32 * read);


extern mt_ret get_xdsl_pwrmngstate(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_attainablerate(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_actatp(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_actprofile(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_actsnrmode(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_eleclen(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_trellis(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_actualce(mt_uint32 portid,mt_uint32 *value);

extern mt_ret get_xdsl_actdatarate(mt_uint32 portid, mt_uint8 channel, mt_uint32 *value);
extern mt_ret get_xdsl_predatarate(mt_uint32 portid, mt_uint8 channel, mt_uint32 *value);
extern mt_ret get_xdsl_actdelay(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_actinp(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_inpreport(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_nfec(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_rfec(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_lsymb(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_intlvdepth(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_intlvblock(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_lpath(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_atmstatus(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_ptmstatus(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);

extern mt_ret get_xdsl_scdirection(mt_uint32 portid, mt_uint8 idx, mt_uint32 *value);
extern mt_ret get_xdsl_linscale(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_linscgpsize(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_logmt(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_logscgpsize(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_qlnmt(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_qlnscgpsize(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_snrmtime(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_snrscgpsize(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
//extern mt_ret get_xdsl_scattainrate(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);
extern mt_ret get_xdsl_rowstatus(mt_uint32 portid,mt_uint8 direction,mt_uint32 *value);

extern mt_ret get_xdsl_linebandid(mt_uint32 portid,mt_uint8 index,mt_uint32 *value);
extern mt_ret get_xdsl_linebandlnatten(mt_uint32 portid,mt_uint8 band,mt_uint32 *value);
extern mt_ret get_xdsl_linebandsigatten(mt_uint32 portid,mt_uint8 band,mt_uint32 *value);
extern mt_ret get_xdsl_linebandsnr(mt_uint32 portid,mt_uint8 band,mt_uint32 *value);

extern mt_ret get_xdsl_seglinreal(mt_uint32 portid,mt_uint8 site,mt_uint8 *value);
extern mt_ret get_xdsl_seglinimg(mt_uint32 portid,mt_uint8 site,mt_uint8 *value);
extern mt_ret get_xdsl_seglog(mt_uint32 portid,mt_uint8 site,mt_uint8 *value);
extern mt_ret get_xdsl_segqln(mt_uint32 portid,mt_uint8 site,mt_uint8 *value);
extern mt_ret get_xdsl_segsnr(mt_uint32 portid,mt_uint8 site,mt_uint8 *value);
extern mt_ret get_xdsl_segbitsgainalloc(mt_uint32 portid,mt_uint8 *value);

extern mt_ret set_xdsl_segment(mt_uint32 portid,mt_uint32 seg);

extern mt_ret get_xdsl_g994vendorid(mt_uint32 portid,mt_uint8 unit,mt_uint8 *value);
extern mt_ret get_xdsl_sysvendorid(mt_uint32 portid,mt_uint8 unit,mt_uint8 *value);
extern mt_ret get_xdsl_vernumber(mt_uint32 portid,mt_uint8 unit,mt_uint8 *value);
extern mt_ret get_xdsl_serialnumber(mt_uint32 portid,mt_uint8 unit,mt_uint8 *value);
extern mt_ret get_xdsl_selftest(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_txcapability(mt_uint32 portid,mt_uint8 unit,mt_uint8 *value);

extern mt_ret get_xdsl_line_15m_timeelapsed(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_15m_fecs(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_15m_es(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_15m_ses(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_15m_loss(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_15m_uas(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_1day_timeelapsed(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_1day_fecs(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_1day_es(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_1day_ses(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_1day_loss(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);
extern mt_ret get_xdsl_line_1day_uas(mt_uint32 portid,mt_uint8 unit,mt_uint32 *value);

extern mt_ret get_xdsl_ch_15m_timeelapsed(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_ch_15m_cv(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_ch_15m_fec(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_ch_1day_timeelapsed(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_ch_1day_cv(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);
extern mt_ret get_xdsl_ch_1day_fec(mt_uint32 portid,mt_uint8 channel,mt_uint32 *value);

extern mt_ret get_xdsl_15m_init_validinterval(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_15m_init_invalidinterval(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_15m_init_timeelapsed(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_15m_init_fullinit(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_15m_init_failfullinit(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_15m_init_shortinit(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_15m_init_failshortinit(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_1day_init_validinterval(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_1day_init_invalidinterval(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_1day_init_timeelapsed(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_1day_init_fullinit(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_1day_init_failfullinit(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_1day_init_shortinit(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_xdsl_1day_init_failshortinit(mt_uint32 portid,mt_uint32 *value);

extern mt_ret get_xdsl_threshold(mt_uint32 portid,mt_uint8 unit,PMCOUNTER *value);

extern mt_ret get_firmwarever(mt_uint32 portid,mt_uint32 *value);
extern mt_ret get_terminal(mt_uint32 portid,mt_uint32 *value);
